export declare class RedisLock {
    private redisClient;
    private redlock;
    constructor();
    private createRedisClient;
    lock(lockId: string, ms?: number): Promise<any>;
    unlock(lock: any): Promise<any>;
}
